<!DOCTYPE html>
<html>

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link href="rating.css" type="text/css" rel="stylesheet" />
    <title>How to embed Google Reviews on website</title>
</head>

<body>
    <div class="phppot-container">
        <h1>How to embed Google Reviews on website</h1>
        <div id="google-reviews-embed"></div>
    </div>
</body>
<script>    
    fetch("https://maps.googleapis.com/maps/api/place/details/json?place_id=PLACE_ID_HERE&fields=name,rating,reviews&key=YOUR_API_KEY")
        .then(response => {
            if (!response.ok) {
                throw new Error('Failed to fetch Google Reviews');
            }
            return response.json();
        })
        .then(data => {
            if (data.status === 'OK') {
                const reviews = data.result.reviews;
                reviews.reviews.forEach(review => {
                    reviewsHTML += "<div class='rating-row'>";
                    reviewsHTML += "<p><b><img src='" + review.profile_photo_url + "' class='avatar' /> " + review.author_name + "</b></p>";
                    for (var i = 1; i <= 5; i++) {
                        if (i <= parseInt(review.rating)) {
                            reviewsHTML += "<img src='star-highlight.png' hspace='1' />";
                        } else {
                            reviewsHTML += "<img src='star.png' hspace='1' />";
                        }
                    }
                    reviewsHTML += "<p>" + review.text + "</p>";
                    reviewsHTML += "</div>";
                });
                reviewsHTML += '</div>';
                document.getElementById('google-reviews-embed').innerHTML = reviewsHTML;
            } else {
                throw new Error(data.status);
            }
        })
        .catch(error => {
            document.getElementById('google-reviews-embed').innerHTML = 'Error fetching Google Reviews';
        }
    );
</script>

</html>